> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/convai-playground/character-customization/speech-recognition-language-support.md).

# 语音识别语言支持

参考 Convai 如何根据角色语言选择语音识别提供商，包括各提供商覆盖范围以及多语言行为。

Convai 会使用四家语音识别提供商之一转写玩家语音。你不会直接选择提供商：它是根据你在以下位置设置的语言推导出来的 **核心 AI 设置**。本页列出各提供商覆盖的范围、它们的尝试顺序，以及当角色有多种语言时会发生什么变化。

### Convai 如何选择提供商

Convai 会按固定顺序尝试各提供商，并在第一个支持角色上所有语言的提供商处停止。排序把延迟最低的提供商放在前面，并以覆盖范围作为平局判定，因此角色通常会获得能够处理其语言的最快提供商。

| 角色上的语言 | 尝试顺序                                          |
| ------ | --------------------------------------------- |
| 恰好一种   | Soniox、Deepgram Nova-3、Deepgram Nova-2、Google |
| 两个或更多  | Soniox、Google                                 |

不支持所选语言之一的提供商会被自动跳过，并尝试该行中的下一个提供商。如果 Soniox 不可用，只有一种语言的角色会继续回退到 Deepgram Nova-3；而拥有两种或更多语言的角色会回退到 Google，因为在该行中 Deepgram 根本不是候选项。

由于所选语言是这一决策的唯一输入，你选择的语言决定了转写质量。如果角色保留默认英语，而其用户说的是其他语言，转写结果就会被识别为英语。

语言列表和 **只用所选语言回复** 设置一起位于 **核心 AI 设置**下。该设置控制角色的回复；它不会改变哪个提供商来转写其用户，而且这两项都从同一列表中配置。

### 各提供商的语言覆盖范围

数量统计的是不同的基础语言，第二列则按地区变体分别计算。

| 提供商             | 基础语言 | 地区变体      |
| --------------- | ---- | --------- |
| Google          | 75   | 136 个地区代码 |
| Soniox          | 60   | 仅基础代码     |
| Deepgram Nova-3 | 50   | 107 个地区代码 |
| Deepgram Nova-2 | 33   | 70 个地区代码  |

在这四家提供商中，总共支持 78 种不同的基础语言，其中有 33 种是所有提供商都支持的。

### Soniox 不覆盖的语言

Soniox 会被优先尝试，但它无法服务以下 19 种基础语言。对于这些语言中的每一种，Google 都是唯一支持的提供商，因此使用这些语言的角色会由 Google 提供服务。

| 语言    | 代码    | 语言    | 代码   |
| ----- | ----- | ----- | ---- |
| 阿姆哈拉语 | `am`  | 蒙古语   | `mn` |
| 亚美尼亚语 | `hy`  | 尼泊尔语  | `ne` |
| 缅甸语   | `my`  | 普什图语  | `ps` |
| 粤语    | `yue` | 僧伽罗语  | `si` |
| 菲律宾语  | `fil` | 巽他语   | `su` |
| 格鲁吉亚语 | `ka`  | 乌兹别克语 | `uz` |
| 冰岛语   | `是`   | 祖鲁语   | `zu` |
| 爪哇语   | `jv`  | 旁遮普语  | `pa` |
| 高棉语   | `km`  |       |      |
| 老挝语   | `lo`  |       |      |
| 马耳他语  | `mt`  |       |      |

### 选择多于一种语言

如语言字段本身所示，角色最多可以有四种语言。添加第二种语言会在两个方面改变行为。

候选列表会缩短为 Soniox 和 Google，因此不再使用 Deepgram。

Soniox 还会改变它对该选择的处理方式，但规则针对的是不同语言，而不是你选择了多少条目。一种语言的地区变体会合并在一起：同时选择西班牙语（西班牙）和西班牙语（墨西哥）在 Soniox 看来仍然只是一种语言，因此识别仍会限制在西班牙语上。只有当所选内容覆盖了两种真正不同的语言时，识别才会被视为提示。

{% hint style="warning" %}
一旦选择了两种不同的语言，语音识别可能会返回你未选择的语言。只选择你的角色真正需要的语言。
{% endhint %}

Google 在这种模式下支持最广泛的语言集；当选择了多种语言时，它覆盖其 75 种基础语言全部。

### 当没有提供商支持所选内容时

如果没有可用的提供商能够支持所有已选语言，角色不会回退到一个无法理解其用户的提供商。相反，会导致会话无法启动，因为与其连接后却得到无法使用的语音输入，不如直接不连接更容易诊断问题。

{% hint style="info" %}
你可以选择的语言集合来自你的账户，并且可以包含私有语言。使用语言列表 API 来获取你可用的确切列表。
{% endhint %}

### 相关参考

{% content-ref url="/pages/82227f72ca96afab32d1b36eb1030f723fc92d40" %}
[语言与语音](/api-docs/zh/convai-playground/character-customization/language-and-speech.md)
{% endcontent-ref %}

{% content-ref url="/pages/fdfed88f59c6997bd47c6e08c93781d8de8d9d7d" %}
[语言列表 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/language-list-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/convai-playground/character-customization/speech-recognition-language-support.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
